Package org.apache.ignite.lang

## Interface IgniteClosure<E,​R>

Type Parameters:
  `E` - Type of closure parameter.
  `R` - Type of the closure return value.

All Superinterfaces:
  `Serializable`

All Known Subinterfaces:
  `C1<E1,​R>`

All Known Implementing Classes:
  `CacheEntryGetValueClosure`, `ClusterNodeGetIdClosure`, `CX1`, `IdentityClosure`, `IgniteClosureX`, `PlatformAbstractConfigurationClosure`, `PlatformCppConfigurationClosure`, `PlatformDotNetConfigurationClosure`, `ToStringClosure`

    public interface IgniteClosure<E,​R>
    extends Serializable

Defines generic closure with one parameter. Closure is a simple executable which accepts a parameter and returns a value.

In Ignite closures are mainly used for executing distributed computations on the grid, like in `IgniteCompute.apply(IgniteClosure, Object)` method.

### Method Summary

All Methods Instance Methods Abstract Methods
`R` `apply​(E e)` Closure body.

### Method Detail

#### apply

    R apply​(E e)

Closure body.

Parameters:
  `e` - Closure parameter.
Returns:
  Closure return value.